List revaluations
curl --request GET \
--url https://api.entendre.finance/v1/revaluations \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.entendre.finance/v1/revaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/revaluations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "job_507f1f77bcf86cd799439011",
"period_id": "ap_507f1f77bcf86cd799439011",
"status": "completed",
"created_at": "2026-08-31T12:00:00Z",
"completed_at": "2026-08-31T12:04:10Z",
"message": null
}
],
"has_more": false,
"next_cursor": null
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Revaluation
List revaluations
Lists asset-revaluation jobs, newest first. Filter by accounting period or status.
GET
/
v1
/
revaluations
List revaluations
curl --request GET \
--url https://api.entendre.finance/v1/revaluations \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.entendre.finance/v1/revaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/revaluations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "job_507f1f77bcf86cd799439011",
"period_id": "ap_507f1f77bcf86cd799439011",
"status": "completed",
"created_at": "2026-08-31T12:00:00Z",
"completed_at": "2026-08-31T12:04:10Z",
"message": null
}
],
"has_more": false,
"next_cursor": null
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Filter by
period_id to see every attempt for one accounting period, including a superseded retry. To check a job, list with its period_id and read data[0].status.Authorizations
Your organization API key. Some operations also need a key that is associated with a user; their pages say so.
Query Parameters
Accounting period ID (ap_…). Omit to list all periods.
Example:
"ap_507f1f77bcf86cd799439011"
Comma-separated statuses to filter to.
Available options:
started, in_progress, completed, job_failed, canceled, hanged Maximum number of records to return.
Required range:
1 <= x <= 100The next_cursor value from the previous page. Keep the other filters unchanged.
Set to true to include total_count.